## bloscpack 0.15.0

=== requirements.txt ===
blosc
numpy
six

=== debian/changelog ===
bloscpack (0.15.0-4) unstable; urgency=medium

  * deb/control:
    + bump standards to 4.3.0 (no changes needed).
    + fix wrong Vcs-* [Ondřej Nový].
  * deb/copyright:
    + expand copyright span to 2019.

 -- Daniel Stender <stender@debian.org>  Wed, 16 Jan 2019 15:36:28 +0100

bloscpack (0.15.0-3) unstable; urgency=medium

  * add remove-test-that-fail-when-typesize-is-4.patch (Closes: #915638).

 -- Daniel Stender <stender@debian.org>  Fri, 07 Dec 2018 22:10:58 +0100

bloscpack (0.15.0-2) unstable; urgency=medium

  * deb/control:
    + fix URLs for Vcs fields.
    + build binary for "all" archs.

 -- Daniel Stender <stender@debian.org>  Tue, 04 Dec 2018 18:20:51 +0100

bloscpack (0.15.0-1) unstable; urgency=medium

  * Initial release (Closes: #834778).

 -- Daniel Stender <stender@debian.org>  Sat, 01 Dec 2018 19:26:04 +0100

=== debian/control ===
Source: bloscpack
Section: utils
Priority: optional
Maintainer: Daniel Stender <stender@debian.org>
Uploaders: Python Applications Packaging Team <python-apps-team@lists.alioth.debian.org>
Build-Depends:
 debhelper (>= 11),
 dh-python,
 python3,
 python3-setuptools,
 python3-blosc,
 python3-six,
 python3-numpy,
 python3-nose <!nocheck>,
 python3-mock <!nocheck>
Standards-Version: 4.3.0
Homepage: https://github.com/Blosc/bloscpack
Vcs-Git: https://salsa.debian.org/python-team/applications/bloscpack.git
Vcs-Browser: https://salsa.debian.org/python-team/applications/bloscpack

Package: bloscpack
Architecture: all
Depends:
 ${misc:Depends},
 ${python3:Depends}
Description: CLI utility for the Blosc metacompressor
 This is the command line interface utility for the Blosc metacompressor.
 It comes with native support for efficiently serializing and deserializing
 Numpy arrays, and a versatile Python 3 API.
 .
 Since Bloscpack is under development please regard that the internal
 storage format for the compressed files might change in the future, so
 do not depend critically on the generated files yet keeping on to be
 valid for upcoming versions.

=== debian/rules ===
#!/usr/bin/make -f
export DH_VERBOSE=1

%:
	dh $@ --with python3 --buildsystem=pybuild

override_dh_installdocs:
	dh_installdocs README.rst

override_dh_installchangelogs:
	sed -n '/'^Changelog$'/,/'^Thanks$'/p' README.rst > .pybuild/CHANGELOG
	dh_installchangelogs .pybuild/CHANGELOG

override_dh_installman:
	dh_installman debian/blpk.1

=== debian/tests/control ===
Tests: bloscpack
Depends: python3-all, python3-blosc, python3-six, python3-numpy, python3-nose, python3-mock

=== debian/watch ===
version=4
opts="filenamemangle=s%(?:.*?)?v?(\d[\d.]*)\.tar\.gz%<project>-$1.tar.gz%" \
https://github.com/Blosc/bloscpack/releases (?:.*?/)?v?(\d[\d.]*)\.tar\.gz
